- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference

Nested struct defining a resource declaration. More...

`#include <OgreResourceGroupManager.h>`

List of all members.

## Public Attributes
String | resourceName
String | resourceType
ManualResourceLoader * | loader
NameValuePairList | parameters

## Detailed Description

Nested struct defining a resource declaration.

Definition at line 186 of file OgreResourceGroupManager.h.

## Member Data Documentation

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceName

Definition at line 188 of file OgreResourceGroupManager.h.

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceType

Definition at line 189 of file OgreResourceGroupManager.h.

ManualResourceLoader* Ogre::ResourceGroupManager::ResourceDeclaration::loader

Definition at line 190 of file OgreResourceGroupManager.h.

NameValuePairList Ogre::ResourceGroupManager::ResourceDeclaration::parameters

Definition at line 191 of file OgreResourceGroupManager.h.

The documentation for this struct was generated from the following file:

- OgreResourceGroupManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:52:33 2008